<template>
    <app-layout>
        <template #header>
            <h1>Lista Roles</h1>
        </template>
        <div class="py-12">
            <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
                <div class="bg-white overflow-hidden shadow-xl sm:rounded-lg">
                    <div className="mt-5 ml-5">
                        <inertia-link :href="route('rol.create')" type="button" class="mx-1 px-4 py-2 text-sm text-white bg-blue-500 rounded">
                            Registrar Rol
                        </inertia-link>
                    </div>
                    <div>
                        <table className="table-fixed w-full mt-5">
                            <thead>
                                <tr className="bg-gray-100">
                                    <th className="px-4 py-2 w-20">No.</th>
                                    <th className="px-4 py-2">Nombre</th>
                                    <th className="px-4 py-2">Permiso ID</th>
                                    <th className="px-4 py-2">Acciones</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr v-for="data in roles" :key="data.id">
                                    <td className="border px-4 py-2">{{ data.id }}</td>
                                    <td className="border px-4 py-2">{{ data.nombre }}</td>
                                    <td className="border px-4 py-2">{{ data.id_permiso }}</td>
                                    <td className="border px-4 py-2">
                                        <inertia-link :href="route('rol.edit',data.id)" class="mx-1 px-2 py-2 text-sm text-white bg-blue-500 rounded">
                                            Editar
                                        </inertia-link>
                                        <inertia-link
                                        method="delete"
                                        :href="route('rol.destroy',data.id)" class="mx-1 px-2 py-2 text-sm text-white bg-red-500 rounded">
                                            Borrar
                                        </inertia-link>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>

            </div>
        </div>
    </app-layout>

</template>
<script>
import AppLayout from '../../Layouts/AppLayout.vue';
export default{
    props:{
        roles: Array
    },
    components:{
        AppLayout
    }
}
</script>
